Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api.aggregation
Class Aggregation

    java.lang.Object
      org.eclipse.birt.data.engine.api.aggregation.Aggregation

All Implemented Interfaces:
  IAggregation

Deprecated. use AggrFunction instead

    public abstract class Aggregation

extends java.lang.Object
implements IAggregation

All multipass aggregations must implement this interface.

Field Summary

Fields inherited from interface org.eclipse.birt.data.engine.api.aggregation.IAggregation
`RUNNING_AGGR, SUMMARY_AGGR`

Constructor Summary
`Aggregation()` Deprecated.

Method Summary
`int` | `getDataType()` Deprecated. get the aggregation data type.
`int` | `getNumberOfPasses()` Deprecated. Returns the number of passes over the data series that the accumulator of this aggregate requires.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.birt.data.engine.api.aggregation.IAggregation
`getName, getParameterDefn, getType, newAccumulator`

Constructor Detail

### Aggregation

    public Aggregation()

  Deprecated.

Method Detail

### getNumberOfPasses

    public int getNumberOfPasses()

  Deprecated.
  Returns the number of passes over the data series that the accumulator of this aggregate requires. For SUMMARY aggregates, the accumulator returns a value after all passes are complete. For RUNNING aggregates, the accumulator returns data in the last pass.

  Returns:

### getDataType

    public int getDataType()

  Deprecated.
  Description copied from interface: `IAggregation`
  get the aggregation data type.

  Specified by:
    `getDataType` in interface `IAggregation`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.